package main

import (
    "net/http"
    "sync/atomic"
    "fmt"
)

var requests int32 = 0

func testHandler(name string) http.HandlerFunc {
    return func(w http.ResponseWriter, r *http.Request) {
        atomic.AddInt32(&requests, 1)
        fmt.Println("Number of requests are: ", requests)
        w.Write([]byte("Hello from " + name ))
    }
}

func main() {
    http.HandleFunc("/", testHandler("myserver\n"))
    http.ListenAndServe(":1234", nil)
}
